Retrieve Project/Task Notes

GET /tm/api/v1/project/notes

Operation id: getProjectNotes

Description

Retrieve notes of a project or task.

Parameters

Query parameters

NameTypeRequiredDescription
projectIdstringYesInitiative Id
taskIdstringNoTask Id

Security

  • ApiKeyAuth (apiKey)
    • API key passed in the apikey request header.

Responses

200 — Success

Content type: application/json

400 — Error

Content type: application/json

Response models

200 — Success

Content type: application/json

Schema

PropertyTypeRequiredDescription
messagestringNo
statusstringNo
dataobjectNo
{
  "type": "object",
  "properties": {
    "message": {
      "type": "string",
      "example": "Query Successful"
    },
    "status": {
      "type": "string",
      "example": "SUCCESS"
    },
    "data": {
      "type": "object",
      "properties": {
        "notes": {
          "type": "string",
          "description": "HTML-formatted project/task notes."
        }
      }
    }
  }
}

400 — Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
statusstringNo
errorarrayNo
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "ERROR"
    },
    "error": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "message": {
            "type": "string"
          }
        }
      }
    }
  }
}

Example:

{
  "status": "ERROR",
  "error": [
    {
      "code": "839",
      "message": "projectId not provided."
    }
  ]
}